gnutls_global_set_time_function(3)

NAME
gnutls_global_set_time_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_global_set_time_function(gnutls_time_func time_func);

ARGUMENTS

gnutls_time_func time_func
    it's the system time function

DESCRIPTION
This is the function where you can override the default system time function. gnutls_time_func is of the form, time_t (*gnutls_time_func)( time*);

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.